Subject: Re: bug#23641: emacs-25.0.94 build feedback

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Mon, 30 May 2016 19:01:23 -0600

I wrote  about a build problem of emacs-25.0.94 on FreeBSD 11

>> ...
>> > Here is what I get:
>> > 
>> >       make distclean
>> >       ./configure --with-rsvg=no && make
>> >       ...
>> >       /usr/local/lib/libgio-2.0.so.0: undefined reference to [email-masked]'
>> >       collect2: error: ld returned 1 exit status
>> 

and Eli Zaretskii responded

>> Then this is the list of other suspects:
>> 
>>   imagemagick
>>   dbus
>>   gconf
>> 
>> I think you need to disable all of them (and rsvg as well) to get rid
>> of libgio.
>> ...

I therefore tried this:

	./configure --with-{rsvg,dbus,gconf,imagemagick}=no && make

That led to a successful build!

Compared to my earlier reported successful build using --without-all,
the newly-built emacs has 62 shared libraries, whereas the previous
one had only 30.  I have therefore installed the new build.

It might be useful to document the dependence of -lgio on those four
packages:

	rsvg dbus gconf imagemagick

because that dependence is not obvious.  Alternatively, add a
configure-time --without-gio option that suppresses those four
packages.

I don't view this as high priority, because the FreeBSD 11 package
system is clearly in error when installation of a library (-lgio) does
not install all of its dependents.

Tomorrow, I'll try a similar build on HardenedBSD 11, a new VM that I
have just finished configuring:

	https://hardenedbsd.org/content/freebsd-and-hardenedbsd-feature-comparisons

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------